﻿@model IEnumerable<MainApplication.Models.PollModel>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}




<div class="container-fluid">
    <form class="navbar-search-form d-none d-md-flex" action="/PollMvc">
        <input type="text" class="form-control" placeholder="Search" name="searchString" method="get">
        <button class="btn" type="submit"><i class="material-icons">search</i></button>
    </form>
    
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="instructor-dashboard.html">Home</a></li>
        <li class="breadcrumb-item active">Polls</li>
    </ol>
    <div class="media align-items-center">
        <div class="media-body">
            <h1 class="page-heading h2">Polls</h1>
        </div>
        
        
        
            <a href="@Url.Action("Create")" class="btn btn-success">New Poll <i class="material-icons btn__icon--right">add</i></a>
        </div>
       

    
    <div class="row">
        <div class="col-md-9">
            <div class="card-columns">
@foreach (var item in Model)
{
                <div class="card">
                    <div class="card-body media">
                        <div class="media-left">
                            <a href="@Url.Action("Details")">
                                <img class="js-poster-image "
                                     src="@item.ImageURI" height="80" width="100"
                                     alt="@item.Title" />

                            </a>
                        </div>
                        <div class="media-body">
                            <h4 class="card-title mb-0">@Html.DisplayFor(modelItem => item.Title)</h4>
                            <small class="text-muted">25 Completed</small>
                        </div>
                    </div>
                    <div class="card-footer text-center">
                        <a href="@Url.Action("Details", new {id = item.Id})" class="btn btn-primary btn-sm float-left"><i class="material-icons btn__icon--left">playlist_add_check</i> Review <span class="badge text-primary bg-white btn__icon--right">5</span></a>
                        <a href="instructor-quiz-edit.html" class="btn btn-default btn-sm float-right"><i class="material-icons btn__icon--left">edit</i> Edit </a>
                        <div class="btn-group">
                            <button class="btn btn-small dropdown-toggle" data-toggle="dropdown">
                                <i class="icon-wrench"></i><span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu pull-right">
                                <li>
                                    <a href="@Url.Action("Edit", new {id = item.Id})">
                                        <i class="icon-pencil"></i> Edit
                                    </a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Delete", new {id = item.Id})" data-bind="click: destroy">
                                        <i class="icon-trash"></i> Delete
                                    </a>
                                </li>
                                <li>
                                    <a href="@Url.Action("Index", "Question", new { @idpost = item.Id })">
                                        <i class="icon-list"></i> Questions
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
                }
            </div>
        </div>
        <div class="col-md-3">
            <div class="card">
                <ul class="list-group list-group-fit">
                    <li class="list-group-item active">
                        <a href="#">All</a>
                    </li>
                    <li class="list-group-item">
                        <a href="#">Vue.js</a>
                    </li>
                    <li class="list-group-item">
                        <a href="#">NodeJs</a>
                    </li>
                    <li class="list-group-item">
                        <a href="#">GitHub</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>

</div></div>